package com.hfkj.service;

import com.hfkj.entity.BsMerAttach;
import com.hfkj.sysenum.PlatformTypeEnum;

import java.util.List;

/**
 * 商户附件
 * @author hurui
 */
public interface BsMerAttachService {

    /**
     * 编辑附件
     * @param merAttach
     */
    void editMerAttach(BsMerAttach merAttach);

    /**
     * 查询详情
     * @param id
     */
    BsMerAttach getDetail(Long id);

    /**
     * 根据商户 查询附件
     * @param merId
     * @return
     */
    List<BsMerAttach> getAttachListByMer(Long merId, PlatformTypeEnum platformType, Integer type);

}
